Chapter 23. Subjectos miscellanee
Prev |  | Next

# Chapter 23. Subjectos miscellanee

## 1. OmegaT Modo Consola

### Note

Interessante sol pro usatores experte!

Le proposito del modo consola (id es linea de commando) es permitter le uso de OmegaT como instrumento de traduction in un ambiente de script. Quando on lancea in modo consola, nulle GUI es cargate (illo in consequentia operara sur qualcunque consola) e le projecto date es rendite automaticamente. Un exemplo esserea un projecto software, con un GUI localisate in plure linguas. Le uso del modo consola pote render un parte del processo de production generante un interfacie localisate.

### 1.1. Pre-requisitos

Pro exequer OmegaT, debe esser disponibile un projecto valide. Le ubication non es relevante, pois que illo debe esser specificate explicitemente sur le linea de commando al lanceamento.

Si tu necessita configurationes non-standard, le files de configuration correspondente (`filters.conf` e `segmentation.conf`) debe esser presente. Isto pote esser complite in duo manieras:

- Exequer OmegaT normalmente (con le interfacie graphic, GUI) e adjustar le configurationes. Si tu lancea OmegaT in modo consola, illo usara le configurationes que tu ha fixate.

- Si tu non pote lancear OmegaT normalmente (nulle ambiente graphic disponibile): copia le files del configurationes ex alicun altere installation OmegaT sur un altere machina in un plica specific. Le ubication non es importante, pois que tu pote adder la al linea de commando al lanceamento (vide in basso). Le files pertinente `filters.conf` e `segmentation.conf` pote esser trovate in le plica principal del usator (Per exemplo `C:\Documents and Settings\%User%\OmegaT` sub Windows, `%user%/.omegat/` sub Linux)

### 1.2. Lancear OmegaT in modo consola

Pro lancear OmegaT in modo consola, tu debe specificar le parametros additional al lanceamento. Le plus importante de istos es `<project-dir>`, e optionalmente `--config-dir=<config-dir>`. Exemplo:

`$> java -jar OmegaT.jar /path/to/project \`

`--config-dir=/path/to/config-files/ \`

`--mode=console-translate \`

`--source-pattern={regexp} \`

`--tag-validation=[block|warn]`

Explication:

- `<project-dir>` indica a OmegaT ubi trovar le projecto a traducer. Si date, OmegaT lancea in modo consola e traduce le projecto date.

- `--config-dir=<config-dir>` activa OmegaT a esser instruite in qual plica es servate le files de configuration. Si non specificate, OmegaT reveni al plica del valores predefinite (le plica OmegaT in le plica domo del usator o, si non disponibile: le plica de labor actual).

- `--mode=console-translate` OmegaT lancea in modo consola e traduce le projecto date.

- `--source-pattern={regexp}` Le files a traducer pote esser specificate in iste maniera. Ecce un exemplo del expression regular: `test\.html`

- `--tag-validation=[abort|warn]` Sur abortar, le programma es abortate quando le validation del tag discoperi errores. Sur advertir le errores es stampate, ma OmegaT continua. In omne altere casos non es facite ulle validation.

### 1.3. Option quiete

Un altere parametro de linea de commando specific pro modo consola: `--quiet`. In le modo quiete, minus informationes es detaliate sur le schermo. Le messages que tu trovarea habitualmente in le barra de stato non es monstrate.

Uso: `java -jar OmegaT.jar /path/to/project --mode=console-translate --quiet`

### 1.4. Optiones de validation del tag

Un altere parametro de linea de commando specific pro modo consola: `--tag-validation=[abort|warn]`. Quando es addite iste parametro, le validation del tag es facite ante que le traduction/alineamento.. Si le valor es `abort`, alora sur errores tag le errores son imprimite e le programma arresta se. Si le valor es `warn` alora le errores son imprimite, ma OmegaT continua.

Uso: `java -jar OmegaT.jar /path/to/project --mode=console-translate --tag-validation=abort`

## 2. Alineator automatic pro le proprietates de Java

OmegaT pote alinear le .properties de Java in modo consola. Si tu ha le Files del Proprietates fonte e destination pro uno e le mesme contentos in tu par de lingua, iste procedura creara un file tmx correspondente pro iste contentos. Uso:

`java -jar OmegaT.jar --mode=console-align /my-project-dir --alignDir=/translatedFiles/`

`alignDir` debe continer un traduction in le lingua de destination del projecto. Per exemplo, si le projecto es EN->FR, alignDir debe continer un desinentia con _fr. Le TMX resultante es immagazinate in le plica `omegat` sub le nomine `align.tmx`.

## 3. Configurationes del typo de character

In iste fenestra de dialogo tu pote definir le typo de character usate per OmegaT in le fenestras sequente:

- OmegaT fenestra principal (Quadro de Modification, Quadro de Concordantia, Quadro de Glossario)

- Fenestra de recerca

- Fenestra de Validation de tag

Le fenestra de dialogo pote esser accedite via le commando Optiones → Typo de character... in le menu principal. Le fenestra de dialogo contine:

- Typo de character: menu a tenta pro seliger uno del typos de character disponibile sur tu machina

- Dimension: rediger pro cambiar le dimension del typo de character

- Texto exemplo: campo pro vista preliminar immediate del typo de character seligite

Nota: In alicun casos il pote sumer assatis alicun tempore pro que OmegaT renova le monstra post que le configuration del typo de character ha essite cambiate. Isto es in modo special le caso quando un file grande continente multe segmentos es aperte in le quadro de modification, o es usate un hardware lente. Nota alsi que alicun typo de character comporta se melio pro alicun copulas de lingua que pro altere. In particular, si tu es rendente inter duo linguas con alphabetos o systemas de scriptura differente (assi como russo e japonese), selige un typo de character que pote esser usate pro tote le duo.

## 4. Prevenir le Perdita del datos

OmegaT es un application robuste. Tamen, tu debe sumer precautiones re le perdita de datos quando usa OmegaT, justo como con omne le altere application. Quando tu rende tu files, OmegaT registra tote tu progresso in le memoria de traduction `project_save.tmx` que reside in le sub plica del projecto `/omegat`.

OmegaT alsi reserva le memoria de traduction in project_save.tmx.YEARMMDDHHNN.bak in le identic sub plica cata vice que un projecto es aperte o recargate. YEAR es le anno in 4 cifras, MM es le mense, DD le die del mense, e HH e NN son le horas e minutas quando le previe memoria de traduction esseva salvate.

Si tu crede que tu ha perdite datos jam rendite, tu pote usar le procedura sequente pro restaurar le projecto a su stato le plus recentemente salvate, habitualmente non precedente que approximativemente 10 minutas o sic:

1. claude le projecto

2. renomina le file `project_save.tmx` actual ( per exemplo a `project_save.tmx.temporary`)

3. selige le memoria de traduction copia de reserva que es le plus probabile a continer le data pro le qual tu quere

4. renomina lo `project_save.tmx`

5. aperi le projecto

Pro evitar le perdita de datos importante:

- Face copias regular del file /omegat/project_save.tmx in un media de reserva, assi como CD o DVD.

- Usque tu non es familiar con OmegaT, crea files rendite a intervallos regular e controla que le file rendite contine le ultime version de tu traduction.

- Respice particularmente al cambiamentos del files in le plica `/source` quando tu es in medio de un projecto. Si le file fonte es modificate post que tu ha initiate a render, OmegaT pote esser incapace a trovar un segmento que tu jam habeva rendite.

- Usa iste textos de Adjuta pro initiar. Si tu debe haber problemas, posta un message in le Gruppo del usator de OmegaT. Non hesitar a postar in le lingua con le qual senti te plus familiar.

Prev |  | Next
Chapter 22. Corrector orthographic | Home | Appendix A. Linguas - lista del codices ISO 639